Global Fishing Watch API
Examples4Wings Reports

Report AIS vessel presence - cargo and carrier vessels only (JSON)

Example 4Wings report of AIS vessel presence filtered to cargo and carrier vessels, as JSON.

Query parameters

ParameterValueDescription
spatial-resolutionLOWLow spatial resolution
temporal-resolutionDAILYAggregate by day
group-byFLAGGroup results by vessel flag
datasets[0]public-global-presence:latestAIS vessel presence dataset
date-range2022-01-01,2022-05-01Filter to this time period
formatJSONResponse format
filters[0]vessel_type in ("cargo","carrier")Filter to cargo and carrier vessels
region-id5690Russian EEZ region id
region-datasetpublic-eez-areasExisting region dataset

Request

# Make sure to replace [TOKEN] with your API Access Token.
curl --location -g --request GET 'https://gateway.api.globalfishingwatch.org/v3/4wings/report?spatial-resolution=LOW&temporal-resolution=DAILY&group-by=FLAG&datasets[0]=public-global-presence:latest&date-range=2022-01-01,2022-05-01&format=JSON&filters[0]=vessel_type%20in%20(%22cargo%22,%22carrier%22)&region-id=5690&region-dataset=public-eez-areas' \
--header 'Authorization: Bearer [TOKEN]'

Response

{
  "total": 1,
  "limit": null,
  "offset": null,
  "nextOffset": null,
  "metadata": {},
  "entries": [
    {
      "public-global-presence:v3.0": [
        {
          "date": "2022-01-01",
          "flag": "USA",
          "hours": 156.25,
          "lat": -55.3,
          "lon": 35.2,
          "vesselIDs": 7
        },
        {
          "date": "2022-01-01",
          "flag": "ESP",
          "hours": 278.5,
          "lat": -55.1,
          "lon": 35.4,
          "vesselIDs": 13
        }
      ]
    }
  ]
}